#ifndef __KIF_BATCHEFFECTS_H
#define __KIF_BATCHEFFECTS_H

#include "thumbiconview.h"
#include <qdialog.h>
#include <kfontdialog.h>
#include <kcolorbutton.h>
#include <knuminput.h>

class KProgress;
class QLabel;
class UIManager;
class QButtonGroup;

enum TextPosition{UpperLeftText=0, BottomLeftText, UpperRightText, BottomRightText,
CenterText};

void createTextLabel(const QString &text, const QColor &color,
                     const QFont &font, QImage &destImage);
bool applyTextLabel(TextPosition pos, QImage &textImage, QImage &destImage);


class KIFTextDialog : public QDialog
{
    Q_OBJECT
public:
    KIFTextDialog(QWidget *parent=0, const char *name=0);
    QString text(){return(fontChooser->sampleText());}
    QFont font(){return(fontChooser->font());}
    QColor color(){return(colorBtn->color());}
    int opacity(){return(numInput->value());}
    TextPosition pos();
protected slots:
    void accept();
protected:
    KFontChooser *fontChooser;
    KColorButton *colorBtn;
    KIntNumInput *numInput;
    QButtonGroup *alignBtns;
};

enum EffectType{Grayscale=0, Invert, FlipH, FlipV, Rot90, Rot180, Rot270,
    AddText, Scale, Border, Blur, Normalize, Equalize, Despeckle,
    AddNoise, Edge, Implode, OilPaint, ReduceNoise, Shade, Sharpen, Solarize,
    Spread, Swirl, Wave, Emboss, IncContrast, DecContrast, Charcoal, Sample,
    Threshold};

class KIFBatchEffect
{
public:
    static bool effect(EffectType type, KIFThumbView *parent,
                       QStringList &fileList, UIManager *mgr);
    static double getWeight(EffectType type, bool &ok);
};



#endif

