#ifndef __CATAGORY_H
#define __CATAGORY_H

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

#include <qstring.h>

struct catagoryinfo
{
    unsigned int inode;
    unsigned char numcatagories;
    unsigned char catagories[8];
    struct catagoryinfo *next;
    struct catagoryinfo *prev;
};

class Catagory
{
public:
    Catagory();
    ~Catagory();
    bool setPath(const QString &path);
    QString path(){return(pathStr);}
    catagoryinfo* info(struct stat *file);
    bool addCatagory(struct stat *file, unsigned int id);
    bool removeCatagory(struct stat *file, unsigned int id);
    void sync();
protected:
    void clear();
    bool readDb();
    bool writeDb();

    QString pathStr;
    int count;
    struct catagoryinfo *head;
    bool modified;
};


#endif

