#include "effectdialogs.h"
#include <qlabel.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <kseparator.h>
#include <kbuttonbox.h>
#include <klocale.h>

KIFSineWaveDialog::KIFSineWaveDialog(QWidget *parent, const char *name)
    : QDialog(parent, name, true)
{
    setCaption(i18n("Sine Wave Parameters"));
    QVBoxLayout *layout = new QVBoxLayout(this, 10);
    QLabel *lbl = new QLabel(i18n("Please enter the amplitude and\n\
frequency of the sine wave."), this);
    layout->addWidget(lbl);

    aInput = new KDoubleNumInput(25.0, this);
    aInput->setLabel(i18n("Amplitude"), AlignVCenter);
    layout->addWidget(aInput);
    fInput = new KDoubleNumInput(150.0, this);
    fInput->setLabel(i18n("Frequency"), AlignVCenter);
    layout->addWidget(fInput);

    layout->addStretch();

    KButtonBox *bbox = new KButtonBox(this);
    bbox->addStretch(1);
    connect(bbox->addButton(i18n("OK")), SIGNAL(clicked()), this,
            SLOT(accept()));
    connect(bbox->addButton(i18n("Cancel")), SIGNAL(clicked()), this,
            SLOT(reject()));
    layout->addWidget(bbox);
};

KIFShadeDialog::KIFShadeDialog(QWidget *parent, const char *name)
    : QDialog(parent, name, true)
{
    setCaption(i18n("Shade Parameters"));
    QVBoxLayout *layout = new QVBoxLayout(this, 10);
    QLabel *lbl = new QLabel(i18n("Please enter the direction of the shading"),
                             this);
    layout->addWidget(lbl);

    aInput = new KDoubleNumInput(30.0, this);
    aInput->setLabel(i18n("Azimuth"), AlignVCenter);
    layout->addWidget(aInput);
    eInput = new KDoubleNumInput(30.0, this);
    eInput->setLabel(i18n("Elevation"), AlignVCenter);
    layout->addWidget(eInput);
    KSeparator *sep = new KSeparator(Qt::Horizontal, this);
    layout->addWidget(sep);
    colorCB = new QCheckBox(i18n("Color shading"), this);
    colorCB->setChecked(true);
    layout->addWidget(colorCB);

    layout->addStretch();

    KButtonBox *bbox = new KButtonBox(this);
    bbox->addStretch(1);
    connect(bbox->addButton(i18n("OK")), SIGNAL(clicked()), this,
            SLOT(accept()));
    connect(bbox->addButton(i18n("Cancel")), SIGNAL(clicked()), this,
            SLOT(reject()));
    layout->addWidget(bbox);
};

