#ifndef __KIF_QIMAGEUTIL_H
#define __KIF_QIMAGEUTIL_H

#include <qimage.h>

// Copies src to dest at point x,y without alpha channel
void copyQImage(QImage &src, QImage &dest, int x, int y);

// Copies src to dest, blending in the src alpha channel as needed
void copyQImageWithAlpha(QImage &src, QImage &dest, int x, int y);

// Tiles src to dest.
void tileQImage(QImage &src, QImage &dest);

// Tiles src to dest. It tiles the rectangle sx,sy,sw,sh to the rectangle
// dx,dy,dw,dh - so you can tile just parts of src
void tileQImage(QImage &dest, int dx, int dy, int dw, int dh, QImage &src,
                int sx, int sy, int sw, int sh);

// Tiles the alpha channel values only. Otherwise it's the same as above.
void copyQImageSecondaryAlpha(QImage &dest, int dx, int dy, int dw, int dh,
                              QImage &src, int sx, int sy, int sw, int sh);

#endif


